[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'PopupNotifier' (#lcl)

# TNotifierForm.Create

Constructor for the class instance.

## Declaration

Source position: popupnotifier.pas line 66

`public constructor TNotifierForm.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the form instance.

## Description

Create is the constructor for the class instance. Create calls the inherited constructor using AOwner as the owner for the class instance. Create sets the BorderStyle to bsNone, and calculates the Width and Height for the form. Create allocates resources and configures the Icon, Title, Text, and Button for the form. The Color for the form is set to clInfoBk.

Create sets the event handlers in the class instance to the following methods:

OnMouseUp
  HandleMouseUp
OnMouseDown
  HandleMouseDown

Create calls HandleResize to resize the current form instance and apply sizing constraints.